Mini upgrade?

Discussion in 'Mac mini' started by Ronny's, Mar 16, 2014.

  1. Ronny's macrumors newbie

    Joined:
    Mar 16, 2014
    #1
    I have an 2007 mini intel core duo 1.83 ghz, 1gb memory, running 10.6.8 snow leopard.

    I can't find my discs and I need garage band. I can upgrade to Lion for $19.99.

    I need 2gb minimum. Should I upgrade with 2gb or 4gb? I understand that with 4gb, the mini will only access 3gb. That extra memory 1gb worth it?
     
  2. Alrescha macrumors 68020

    Joined:
    Jan 1, 2008
    #2
    I have Lion on a 2007 Macbook, I recommend getting a pair of 2GB modules - Lion needs all the help it can get.

    A.
    (btw, if Lion ever needs replacing on this machine, I will put Snow Leopard back on - it feels much faster)
     
  3. Ronny's thread starter macrumors newbie

    Joined:
    Mar 16, 2014
    #3
    I was afraid of that! Maybe I should try getting snow leopard somehow .
     
  4. DeltaMac macrumors 604

    DeltaMac

    Joined:
    Jul 30, 2003
    Location:
    Delaware
    #4
  5. Ronny's, Mar 16, 2014
    Last edited: Mar 16, 2014

    Ronny's thread starter macrumors newbie

    Joined:
    Mar 16, 2014
    #5
    Yes, I have a core 2 duo. Thankx I think I'll stay away from Lion.

    If I buy another copy, is garageband included?

    Also, what version of snow leopard are they selling, 10.6.x?
     
  6. DeltaMac macrumors 604

    DeltaMac

    Joined:
    Jul 30, 2003
    Location:
    Delaware
    #6
    Garageband is part of the iLife software, not included with any version of OS X.
    It's available separately if you have Mavericks (but the Garageband version will only run on Mavericks.)

    AFAIK, the Snow Leopard installer from Apple is 10.6.3
     
  7. Che Castro macrumors 603

    Joined:
    May 21, 2009
    #7
    Might be time to get a new Mac mini
    Use the old one as a HTPC
     
  8. Ronny's thread starter macrumors newbie

    Joined:
    Mar 16, 2014
    #8
    What version of ilife do i need for snow leopard?
     
  9. DeltaMac macrumors 604

    DeltaMac

    Joined:
    Jul 30, 2003
    Location:
    Delaware
    #9
    iLife '09 or iLife '11 would be fine with Snow Leopard.
    I would look for '11.
     

Share This Page